## setZBuffer

### Syntax:

    setZBuffer (zBufferFile);

### Purpose:

Sets a new z-buffer, loading it from the zBufferFile file.

If zBufferFile is NULL (or anything other than a file handle) the current z-buffer will be removed. With no z-buffer loaded, all characters will be visible wherever they are placed on the screen.

If zBufferFile is a valid file handle, the z-buffer to be loaded must be the same width and height as the current scene, as set using the setSceneDimensions function.

### Return value:

No return value.

### See also:

About the SLUDGE Z-Buffer Maker

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012